<h1>{{t 'edition.singular'}}</h1>

<form>
  {{#form-multiset 'edition.items' model.items hasOptions=items}}
    {{#form-items model.items as |record|}}
      <label>
        {{t 'edition.item'}}
        {{form-select options=items value=record.item}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.contributors' model.contributors}}
    {{#form-items model.contributors as |record|}}
      <label>
        {{t 'edition.contributorType'}}
        {{form-select options=contributorTypes value=record.type}}
      </label>
      {{#if record.type}}
        {{#if (eq record.type 'person')}}
          <label>
            {{t 'edition.contributorGivenName'}}
            {{form-input value=record.givenName}}
          </label>
          <label>
            {{t 'edition.contributorFamilyName'}}
            {{form-input value=record.familyName}}
          </label>
        {{else}}
          <label>
            {{t 'edition.contributorName'}}
            {{form-input value=record.name}}
          </label>
        {{/if}}
        <label>
          {{t 'edition.contributorRole'}}
          {{form-select options=contributorRoles value=record.role}}
        </label>
        <label>
          {{t 'edition.contributorIdentifier'}}
          {{form-input value=record.identifier}}
        </label>
      {{/if}}
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.scripts' model.scripts}}
    {{#form-items model.scripts as |record|}}
      <label>
        {{t 'edition.script'}}
        {{form-select options=scripts value=record.scriptId}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.editorialIdentifiers' model.editorialIdentifiers}}
    {{#form-items model.editorialIdentifiers as |record|}}
      <label>
        {{t 'edition.editorialIdentifier'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.collections' model.collections}}
    {{#form-items model.collections as |record|}}
      <label>
        {{t 'edition.collection'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.sources' model.sources}}
    {{#form-items model.sources as |record|}}
      <label>
        {{t 'edition.source'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'edition.titles' model.titles}}
    {{#form-items model.titles as |record|}}
      <label>
        {{t 'edition.title'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  <fieldset>
    <legend>{{t 'miscProperties'}}</legend>
    {{form-select label='edition.language' value=model.language options=languages}}
    {{form-input label='edition.textgridUri' value=model.textgridUri}}
    {{form-input label='edition.issuanceDate' value=model.issuanceDate}}
    {{form-input label='edition.license' value=model.license}}
    {{form-input label='edition.note' value=model.note}}
    {{#if works}}
      {{form-select label='edition.work' options=works value=model.work}}
    {{/if}}
  </fieldset>

  <div class="form-footer">
    {{partial 'partials/form-footer'}}

    {{#unless isDirty}}
      <div class="pull-right">
        {{#if model.work}}
          {{#link-to 'work.edit' model.work class='btn btn-default'}}
            {{t 'edit' name=(t 'work.singular')}}
            {{glyph-icon 'chevron-right'}}
          {{/link-to}}
        {{/if}}

        {{#link-to 'work.new' class='btn btn-default'}}
          {{t 'create' name=(t 'work.singular')}}
          {{glyph-icon 'chevron-right'}}
        {{/link-to}}
      </div>
    {{/unless}}
  </div>
</form>
